libetonyek::IWORKNumberFormat Struct Reference documentation

libetonyek::IWORKNumberFormat Struct Reference

`#include <IWORKTypes.h>`

## Public Member Functions
| IWORKNumberFormat ()
std::string | getRVNGValueType () const

## Public Attributes
IWORKCellNumberType | m_type
std::string | m_string
int | m_decimalPlaces
std::string | m_currencyCode
int | m_negativeStyle
bool | m_thousandsSeparator
int | m_fractionAccuracy
bool | m_accountingStyle
int | m_base
int | m_basePlaces
bool | m_baseUseMinusSign

## Constructor & Destructor Documentation

## ◆ IWORKNumberFormat()

libetonyek::IWORKNumberFormat::IWORKNumberFormat | ( |  | ) |

Referenced by libetonyek::IWORKNumberFormatElement::IWORKNumberFormatElement().

## Member Function Documentation

## ◆ getRVNGValueType()

std::string libetonyek::IWORKNumberFormat::getRVNGValueType | ( |  | ) | const

## Member Data Documentation

## ◆ m_accountingStyle

bool libetonyek::IWORKNumberFormat::m_accountingStyle

Referenced by IWORKNumberFormat(), and libetonyek::IWAParser::parseFormat().

## ◆ m_base

int libetonyek::IWORKNumberFormat::m_base

Referenced by IWORKNumberFormat(), and libetonyek::IWAParser::parseFormat().

## ◆ m_basePlaces

int libetonyek::IWORKNumberFormat::m_basePlaces

Referenced by IWORKNumberFormat().

## ◆ m_baseUseMinusSign

bool libetonyek::IWORKNumberFormat::m_baseUseMinusSign

Referenced by IWORKNumberFormat().

## ◆ m_currencyCode

std::string libetonyek::IWORKNumberFormat::m_currencyCode

Referenced by IWORKNumberFormat(), and libetonyek::IWAParser::parseFormat().

## ◆ m_decimalPlaces

int libetonyek::IWORKNumberFormat::m_decimalPlaces

Referenced by IWORKNumberFormat(), and libetonyek::IWAParser::parseFormat().

## ◆ m_fractionAccuracy

int libetonyek::IWORKNumberFormat::m_fractionAccuracy

Referenced by IWORKNumberFormat(), and libetonyek::IWAParser::parseFormat().

## ◆ m_negativeStyle

int libetonyek::IWORKNumberFormat::m_negativeStyle

Referenced by IWORKNumberFormat().

## ◆ m_string

std::string libetonyek::IWORKNumberFormat::m_string

Referenced by IWORKNumberFormat().

## ◆ m_thousandsSeparator

bool libetonyek::IWORKNumberFormat::m_thousandsSeparator

Referenced by IWORKNumberFormat(), and libetonyek::IWAParser::parseFormat().

## ◆ m_type

IWORKCellNumberType libetonyek::IWORKNumberFormat::m_type

Referenced by getRVNGValueType(), IWORKNumberFormat(), and libetonyek::IWAParser::parseFormat().

The documentation for this struct was generated from the following files:

- IWORKTypes.h
- IWORKTypes.cpp